import { GLTFPrimitive } from './gltfprimitive';
/**
 * This class represents a mesh as specifed by glTF.
 * It is primarily a container for primitives, which are represented by GLTFPrimitive.
 * See https://github.com/KhronosGroup/glTF/tree/master/specification/2.0#meshes
 */
export declare class GLTFMesh {
    protected _name: string | undefined;
    protected _primitives: Array<GLTFPrimitive>;
    constructor(name: string | undefined);
    get primitives(): Array<GLTFPrimitive>;
    addPrimitive(primitive: GLTFPrimitive): void;
}
